Gamestarter: Retrogaming add-ons (RPi/Generic)

  • You install retroarch from Gamestarter Repo as you usually install any other addons.....then from retroarch addon settings download core package and that's about it....you can basically forget about retroarch after setting it up if you r running your roms from AEL.

  • You install retroarch from Gamestarter Repo as you usually install any other addons.....then from retroarch addon settings download core package and that's about it....you can basically forget about retroarch after setting it up if you r running your roms from AEL.

    It's not an easy task as it might look to set everything up first time...If you r going to make AEL and Emulation Station with all the bells and whistles...artwork,logos,backgrounds for each game and so on it will take you some time..to give you an idea it took me over a week to set it all up...but after that you just save you roms and artwork and xml's in a safe place for future backup and restore...For AEL and ES you can use the same artwork folders...no need to duplicate any folders

  • Does anyone know how to get started with the Gamestarter repository and DraStic NDS games?

    After installing DraStic I got the message that you also need to install the Advanced Emulator Launcher or EmulationStation.

    When I opened EmulationStation after installing it, the message "We can not find any systems" appeared.

    What could this be and what do I have to do to correct this error? (I've already installed RetroArch and it works fine with GBA games)

  • Does anyone know how to get started with the Gamestarter repository and DraStic NDS games?

    After installing DraStic I got the message that you also need to install the Advanced Emulator Launcher or EmulationStation.

    When I opened EmulationStation after installing it, the message "We can not find any systems" appeared.

    What could this be and what do I have to do to correct this error? (I've already installed RetroArch and it works fine with GBA games)

    Did you select the roms path from ES settings?or edit es_systems.cfg manually..looks like ES is not finding the roms folder..folders need to be named properly for each launcher..

    Also by default ES only reads these formats for NDS .nds .zip .NDS .ZIP so if your roms are in any other format ES won't launch


    Code
    1. <system>
    2. <name>nds</name>
    3. <fullname>Nintendo DS</fullname>
    4. <path>/var/media/HDD/Emulators/roms/nds</path>
    5. <extension>.nds .zip .NDS .ZIP</extension>
    6. <command>/storage/.kodi/addons/game.retroarch/addon.start drastic %ROM% ES</command>
    7. <platform>nds</platform>
    8. </system>

    This is an example how mine looks

  • Did you select the roms path from ES settings?or edit es_systems.cfg manually..looks like ES is not finding the roms folder..folders need to be named properly for each launcher..

    Also by default ES only reads these formats for NDS .nds .zip .NDS .ZIP so if your roms are in any other format ES won't launch


    Code
    1. <system>
    2. <name>nds</name>
    3. <fullname>Nintendo DS</fullname>
    4. <path>/var/media/HDD/Emulators/roms/nds</path>
    5. <extension>.nds .zip .NDS .ZIP</extension>
    6. <command>/storage/.kodi/addons/game.retroarch/addon.start drastic %ROM% ES</command>
    7. <platform>nds</platform>
    8. </system>

    This is an example how mine looks

    Thank you. I've found the mistake: /emulators/roms/*.nds instead of /emulators/roms/nds/*.nds

  • yes, you're right. But lakka's retraroch binary has some additional features such as poweroff option or lakka updater... if a user use the latest lakka will updte and overwrite libreelec installation... I tried that way a lot time ago and some users lost their OpenELEC installation... ;(


    To avoid that you can compile Lakka and edit retroarch package file and change just one parameter, then you will get a clean retroarch binary. But I can not compile any linux distro anymore...


    The thing is that in new retroarch 1.7.3 there are some settings to "hide/view" some options in menus so I can try to hide "online updater" to avoid users loosing their LE installation... I'm gonna try it out :/


    Lakka/Retroarch recently implemented some new config settings to hide/view a lot of those menu options, including the shutdown and update menus. That might make it more palatable to use for your binaries.

  • Lakka/Retroarch recently implemented some new config settings to hide/view a lot of those menu options, including the shutdown and update menus. That might make it more palatable to use for your binaries.

    nice to know that! finally I could compile retroarch binary using Lakka source but without lakka options in menu so by the moment everything is ok.

    thanks!

  • Hi all


    I have LE on and s905x and have install retroarch, ES and AEL. All latest versions from repo.


    I’ve added a rom to the correct folder but ES won’t open. Nor will the other Addons.

    The bios folder is empty which I think may be come of the issue.


    Can anyone tell me how I get bios files?


    I’m so looking forward to trying this.

  • This is for Rpi and Generic...don't think it will work on amlogic but I'm sure there are builds of LE for Amlogic with Retroarch and ES

  • Hello,


    I have an Intel Compute stick with LE Millhouse version installed. Stable version doesn't support the wi-fi in my compute stick. I tried following the installation but I can't get retroarch to start and it goes back to Kodi. I checked the logs and it says "

    libavcodec.so.57: cannot open shared object file: No such file or directory" I've searched your repository, google and still I can't make it to work. I even tried installing "script.gamestarter-v2.9-LE9alpha.zip" and prev build of retroarch offered from your addon. Any thoughts about this?

  • Hello,


    I have an Intel Compute stick with LE Millhouse version installed. Stable version doesn't support the wi-fi in my compute stick. I tried following the installation but I can't get retroarch to start and it goes back to Kodi. I checked the logs and it says "

    libavcodec.so.57: cannot open shared object file: No such file or directory" I've searched your repository, google and still I can't make it to work. I even tried installing "script.gamestarter-v2.9-LE9alpha.zip" and prev build of retroarch offered from your addon. Any thoughts about this?

    LE9 builds are not official and they change day by day, so I can not update addons everytime devs make a critical update.

    What you can do is to install LE8 build, copy to your computer libavcodec.so.57 lib file, then go back to LE9 again and place the file in addon lib folder. If you post here the file anyone using LE9 in Generic devices could use it, also I could include it in a new addon release. If you can not do that just wait for me updating the addon when I have some free time to get the file.

  • LE9 builds are not official and they change day by day, so I can not update addons everytime devs make a critical update.

    What you can do is to install LE8 build, copy to your computer libavcodec.so.57 lib file, then go back to LE9 again and place the file in addon lib folder. If you post here the file anyone using LE9 in Generic devices could use it, also I could include it in a new addon release. If you can not do that just wait for me updating the addon when I have some free time to get the file.

    Thanks, anyway I got this solved by running the command 'ldd game.retroarch-Gen' after doing 'cd' to '/storage/.kodi/addons/game.retroarch '. There it showed the missing libs, and I did not have to install LE8 build, but just by using 7z to extract the contents from the 'SYSTEM' of the 'LE8' installer. It would have been helpful to make that as a sticky for those who are struggling with making it work. The retroarch debug log would also help. Now my problem is ES seems to lose the controller settings after loading the game. And now im trying to figure how to make AEL work cause the only place where i can get the asset files are from the repository. For some reason the 'script.gamestarter' was not created. And it wasn't clear how to pull the assets from the addon.

  • Thanks, anyway I got this solved by running the command 'ldd game.retroarch-Gen' after doing 'cd' to '/storage/.kodi/addons/game.retroarch '. There it showed the missing libs, and I did not have to install LE8 build, but just by using 7z to extract the contents from the 'SYSTEM' of the 'LE8' installer. It would have been helpful to make that as a sticky for those who are struggling with making it work. The retroarch debug log would also help. Now my problem is ES seems to lose the controller settings after loading the game. And now im trying to figure how to make AEL work cause the only place where i can get the asset files are from the repository. For some reason the 'script.gamestarter' was not created. And it wasn't clear how to pull the assets from the addon.

    As you can see here you just need to go to Retroarch addon settings and download AEL assets. That will download this package and unzip it in default emulators folder (/storage/emulators/ael-assets). After that go to AEL addon settings and import systems you want.


    By the way, thanks for the tip abput using 7zip to browse inside "system" file XD, could you please tell me what libs are missing so I can update the addon?

  • As you can see here you just need to go to Retroarch addon settings and download AEL assets. That will download this package and unzip it in default emulators folder (/storage/emulators/ael-assets). After that go to AEL addon settings and import systems you want.


    By the way, thanks for the tip abput using 7zip to browse inside "system" file XD, could you please tell me what libs are missing so I can update the addon?

    Here's the screenshot of the list of my libs:




    Noticed that I had to put all of these files in the addon folder as the '/usr/lib' folder won't allow me. I had to rename the files with '.bak' cause I get the error that the file is too short or small when i checked the debug log. I will try to see if I can hopefully make AEL work.

  • Update: AEL works after extracting the asset files manually to '/storage/emulators/' and then selecting the '.XML' files I just need using import option within AEL. And the gamepad keys can be mapped from retroarch 'INPUT' settings. Thanks BTW. Now just need to tweak some more settings with the gamepad for it to work seamlessly.:)

  • OK, SNES works fine..I have problem getting PPSSPP to work. Debug log error is '/storage/.kodi/addons/game.ppsspp/game.ppsspp: line 1: syntax error: unexpected word (expecting ")")'